Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The GNU Core Utilities the basic file, shell and text manipulation utilities.
Name:      	coreutils
Version:   	8.9
Release:   	1
License: 	GNU/GPL
URL:		http://www.gnu.org/software/coreutils/
Group:     	System/Base 
Source0: 	%{name}-%{version}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
# mktemp is now in upstream coreutils - no seperate package needed anymore
Provides: 	mktemp = %{version}-%{release}
Obsoletes: 	mktemp < %{version}-%{release}

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libattr-devel
BuildRequires: libcap-devel

%description
The GNU Core Utilities are the basic file, shell and text manipulation
utilities of the GNU operating system. These are the core utilities
which are expected to exist on every operating system. 
Previously these utilities were offered as three individual sets of
GNU utilities, fileutils, shellutils, and textutils.
Those three have been combined into a single set of utilities
called the coreutils.

%post
/sbin/install-info %_infodir/coreutils.info.gz %_infodir/dir
ldconfig

%postun
ldconfig

 
%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --del %_infodir/coreutils.info.gz %_infodir/dir 
fi 

%prep
%setup -q -n %{name}-%{version}

%build
DEFAULT_POSIX2_VERSION=199209 %configure 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/bin
install -m 755 -d $RPM_BUILD_ROOT%_sbindir
mv $RPM_BUILD_ROOT%_bindir/{[,basename,cat,chgrp,chmod,chown,cp,dd,df} $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%_bindir/{date,echo,false,head,install,ln} $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%_bindir/{ls,mkdir,mknod,mv,pwd,rm,rmdir,sync} $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%_bindir/{sleep,stty,mktemp,test,touch,true,uname} $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%_bindir/chroot $RPM_BUILD_ROOT%_sbindir
# mv $RPM_BUILD_ROOT/locale $RPM_BUILD_ROOT%_datadir
ln -s ../../bin/install $RPM_BUILD_ROOT/usr/bin
ln -s ../../bin/test $RPM_BUILD_ROOT/usr/bin
ln -s ../../bin/head $RPM_BUILD_ROOT/usr/bin
# we are using kill from the procps package

rm -rf $RPM_BUILD_ROOT/usr/share/man/man1/kill.1.gz
# we are using uptime from the procps package
rm -rf $RPM_BUILD_ROOT/usr/bin/uptime
rm -rf $RPM_BUILD_ROOT/usr/share/man/man1/uptime.1.gz

rm -f $RPM_BUILD_ROOT/usr/share/info/dir

# strip debug symbols
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
#exclude as procps provides this
%exclude /usr/share/man/man1/uptime.1.gz
%exclude /usr/share/man/man1/kill.1.gz

/bin/[                                                 
/bin/basename                                          
/bin/cat                                               
/bin/chgrp                                             
/bin/chmod                                             
/bin/chown                                             
/bin/cp                                                
/bin/date                                              
/bin/dd                                                
/bin/df                                                
/bin/echo                                              
/bin/false                                             
/bin/head                                              
/bin/install                                           
/bin/ln                                                
/bin/ls                                                
/bin/mkdir                                             
/bin/mknod                                             
/bin/mktemp                                            
/bin/mv                                                
/bin/pwd                                               
/bin/rm                                                
/bin/rmdir                                             
/bin/sleep                                             
/bin/stty                                              
/bin/sync                                              
/bin/test                                              
/bin/touch                                             
/bin/true                                              
/bin/uname                                             
%{_bindir}/base64                                        
%{_bindir}/chcon                                         
%{_bindir}/cksum                                         
%{_bindir}/comm                                          
%{_bindir}/csplit                                        
%{_bindir}/cut                                           
%{_bindir}/dir                                           
%{_bindir}/dircolors                                     
%{_bindir}/dirname                                       
%{_bindir}/du                                            
%{_bindir}/env                                           
%{_bindir}/expand                                        
%{_bindir}/expr                                          
%{_bindir}/factor                                        
%{_bindir}/fmt                                           
%{_bindir}/fold                                          
%{_bindir}/groups                                        
%{_bindir}/head                                          
%{_bindir}/hostid                                        
%{_bindir}/id                                            
%{_bindir}/install                                       
%{_bindir}/join                                          
%{_bindir}/kill                                          
%{_bindir}/link                                          
%{_bindir}/logname                                       
%{_bindir}/md5sum                                        
%{_bindir}/mkfifo                                        
%{_bindir}/nice                                          
%{_bindir}/nl                                            
%{_bindir}/nohup                                         
%{_bindir}/nproc
%{_bindir}/od                                            
%{_bindir}/paste                                         
%{_bindir}/pathchk                                       
%{_bindir}/pinky                                         
%{_bindir}/pr                                            
%{_bindir}/printenv                                      
%{_bindir}/printf                                        
%{_bindir}/ptx                                           
%{_bindir}/readlink                                      
%{_bindir}/runcon                                        
%{_bindir}/seq                                           
%{_bindir}/sha1sum                                       
%{_bindir}/sha224sum                                     
%{_bindir}/sha256sum                                     
%{_bindir}/sha384sum                                     
%{_bindir}/sha512sum                                     
%{_bindir}/shred                                         
%{_bindir}/shuf                                          
%{_bindir}/sort                                          
%{_bindir}/split                                         
%{_bindir}/stat                                          
%{_bindir}/stdbuf                                        
%{_bindir}/sum                                           
%{_bindir}/tac                                           
%{_bindir}/tail                                          
%{_bindir}/tee                                           
%{_bindir}/test                                          
%{_bindir}/timeout                                       
%{_bindir}/tr                                            
%{_bindir}/truncate                                      
%{_bindir}/tsort                                         
%{_bindir}/tty                                           
%{_bindir}/unexpand                                      
%{_bindir}/uniq                                          
%{_bindir}/unlink                                        
%{_bindir}/users                                         
%{_bindir}/vdir                                          
%{_bindir}/wc                                            
%{_bindir}/who                                           
%{_bindir}/whoami                                        
%{_bindir}/yes                                           
%{_libdir}/coreutils/libstdbuf.so                        
%{_sbindir}/chroot                                       
%{_infodir}/coreutils.info.gz                      
%{_datadir}/locale/*/LC_MESSAGES/coreutils.mo          
%{_datadir}/locale/*/LC_TIME/coreutils.mo              
%{_mandir}/man1/base64.1.gz                        
%{_mandir}/man1/basename.1.gz                      
%{_mandir}/man1/cat.1.gz                           
%{_mandir}/man1/chcon.1.gz                         
%{_mandir}/man1/chgrp.1.gz                         
%{_mandir}/man1/chmod.1.gz                         
%{_mandir}/man1/chown.1.gz                         
%{_mandir}/man1/chroot.1.gz                        
%{_mandir}/man1/cksum.1.gz                         
%{_mandir}/man1/comm.1.gz                          
%{_mandir}/man1/cp.1.gz                            
%{_mandir}/man1/csplit.1.gz                        
%{_mandir}/man1/cut.1.gz                           
%{_mandir}/man1/date.1.gz                          
%{_mandir}/man1/dd.1.gz                            
%{_mandir}/man1/df.1.gz                            
%{_mandir}/man1/dir.1.gz                           
%{_mandir}/man1/dircolors.1.gz                     
%{_mandir}/man1/dirname.1.gz                       
%{_mandir}/man1/du.1.gz                            
%{_mandir}/man1/echo.1.gz                          
%{_mandir}/man1/env.1.gz                           
%{_mandir}/man1/expand.1.gz                        
%{_mandir}/man1/expr.1.gz                          
%{_mandir}/man1/factor.1.gz                        
%{_mandir}/man1/false.1.gz                         
%{_mandir}/man1/fmt.1.gz                           
%{_mandir}/man1/fold.1.gz                          
%{_mandir}/man1/groups.1.gz                        
%{_mandir}/man1/head.1.gz                          
%{_mandir}/man1/hostid.1.gz                        
%{_mandir}/man1/id.1.gz                            
%{_mandir}/man1/install.1.gz                       
%{_mandir}/man1/join.1.gz                          
%{_mandir}/man1/link.1.gz                          
%{_mandir}/man1/ln.1.gz                            
%{_mandir}/man1/logname.1.gz                       
%{_mandir}/man1/ls.1.gz                            
%{_mandir}/man1/md5sum.1.gz                        
%{_mandir}/man1/mkdir.1.gz                         
%{_mandir}/man1/mkfifo.1.gz                        
%{_mandir}/man1/mknod.1.gz                         
%{_mandir}/man1/mktemp.1.gz                        
%{_mandir}/man1/mv.1.gz                            
%{_mandir}/man1/nice.1.gz                          
%{_mandir}/man1/nl.1.gz                            
%{_mandir}/man1/nohup.1.gz
%{_mandir}/man1/nproc.1.gz
%{_mandir}/man1/od.1.gz
%{_mandir}/man1/paste.1.gz
%{_mandir}/man1/pathchk.1.gz
%{_mandir}/man1/pinky.1.gz
%{_mandir}/man1/pr.1.gz
%{_mandir}/man1/printenv.1.gz
%{_mandir}/man1/printf.1.gz
%{_mandir}/man1/ptx.1.gz
%{_mandir}/man1/pwd.1.gz
%{_mandir}/man1/readlink.1.gz
%{_mandir}/man1/rm.1.gz
%{_mandir}/man1/rmdir.1.gz
%{_mandir}/man1/runcon.1.gz
%{_mandir}/man1/seq.1.gz
%{_mandir}/man1/sha1sum.1.gz
%{_mandir}/man1/sha224sum.1.gz
%{_mandir}/man1/sha256sum.1.gz
%{_mandir}/man1/sha384sum.1.gz
%{_mandir}/man1/sha512sum.1.gz
%{_mandir}/man1/shred.1.gz
%{_mandir}/man1/shuf.1.gz
%{_mandir}/man1/sleep.1.gz
%{_mandir}/man1/sort.1.gz
%{_mandir}/man1/split.1.gz
%{_mandir}/man1/stat.1.gz
%{_mandir}/man1/stdbuf.1.gz
%{_mandir}/man1/stty.1.gz
%{_mandir}/man1/sum.1.gz
%{_mandir}/man1/sync.1.gz
%{_mandir}/man1/tac.1.gz
%{_mandir}/man1/tail.1.gz
%{_mandir}/man1/tee.1.gz
%{_mandir}/man1/test.1.gz
%{_mandir}/man1/timeout.1.gz
%{_mandir}/man1/touch.1.gz
%{_mandir}/man1/tr.1.gz
%{_mandir}/man1/true.1.gz
%{_mandir}/man1/truncate.1.gz
%{_mandir}/man1/tsort.1.gz
%{_mandir}/man1/tty.1.gz
%{_mandir}/man1/uname.1.gz
%{_mandir}/man1/unexpand.1.gz
%{_mandir}/man1/uniq.1.gz
%{_mandir}/man1/unlink.1.gz
%{_mandir}/man1/users.1.gz
%{_mandir}/man1/vdir.1.gz
%{_mandir}/man1/wc.1.gz
%{_mandir}/man1/who.1.gz
%{_mandir}/man1/whoami.1.gz
%{_mandir}/man1/yes.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 05 2011 Karsten Brockmann <arcam@ccux-linux.de> 8.9-1
- Version update
* Sun Jan 02 2011 Karsten Brockmann <arcam@ccux-linux.de> 8.8-1
- Version update
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 8.6-1
- Version update
* Wed Apr 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 8.5-1
- Version update
* Mon Jan 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 8.4-1
- Version update
* Thu Jan 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 8.2-1
- Version update
* Fri Sep 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.6-1
- Version update
* Sun May 31 2009 Christian Metzen <metzench@ccux-linux.de> 7.4-1
- Version update
* Sun Sep 20 2008 Christian Metzen <metzench@ccux-linux.de> 6.12-2
- moved test and mktemp locations
* Sat Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.12-1
- Version update
* Sun May 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.11-1
- Version update
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 6.10-1
- Version update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 6.9-1
- Version update
* Sun Dec 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.7-1
- Version update
* Fri Oct 06 2006 Christian Metzen <metzench@ccux-linux.de> 6.3-1
- Version update
* Sun Jun 25 2006 Christian Metzen <metzench@ccux-linux.de> 5.97-1
- Version update
* Sat May 27 2006 Christian Metzen <metzench@ccux-linux.de> 5.96-1
- Version update
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 5.95-1
- Version update
* Sat Feb 18 2006 Christian Metzen <metzench@ccux-linux.de> 5.94-1
- Version update
* Sun Nov 06 2005 Christian Wasem <wasem@ccux-linux.de> 5.93-1
- Version update
* Sun Nov 06 2005 Christian Metzen <metzench@ccux-linux.de> 5.92-1
- Version update
* Wed Jul 06 2005 Christian Metzen <metzench@ccux-linux.de> 5.2.1-4
- Moved files to proper Locations, made the package FHS compatibly again
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 5.2.1-3
- rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 5.2.1-2
- Initial Release
